#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>

#include <mysql.h>

int local_infile_init(void **ptr, const char *filename, void *userdata)
{
  return 0;
}

int local_infile_read(void *ptr, char *buf, unsigned int buf_len)
{
  exit(3);
}

void local_infile_end(void *ptr)
{
}

int local_infile_error(void *ptr, char *error_msg, unsigned int error_msg_len)
{
}

int main(int argc, char **argv) {
  MYSQL mysql;

  if(mysql_init(&mysql)==NULL){
    fprintf(stderr, "Failed to initate MySQL connection\n");
    exit (1);
  }

  if(mysql_real_connect(&mysql,"localhost","root","","test",3306,0,NULL) == NULL)
  {
    fprintf(stderr, "Real connection failed: %s\n", mysql_error(&mysql));
    exit (1);
  }

  mysql_set_local_infile_handler(&mysql, local_infile_init, local_infile_read, local_infile_end, local_infile_error, NULL);

  mysql_query(&mysql, "LOAD DATA LOCAL INFILE 'dummy' INTO TABLE t1");

  return 0;
}
